Package com.google.protobuf

# Interface ProtocolStringList

All Superinterfaces:
  `Collection<String>`, `Iterable<String>`, `List<String>`, `SequencedCollection<String>`

All Known Subinterfaces:
  `LazyStringList`

All Known Implementing Classes:
  `LazyStringArrayList`, `UnmodifiableLazyStringList`

public interface ProtocolStringList extends List<String>
An interface extending `List<String>` used for repeated string fields to provide optional access to the data as a list of ByteStrings. The underlying implementation stores values as either ByteStrings or Strings (see `LazyStringArrayList`) depending on how the value was initialized or last read, and it is often more efficient to deal with lists of ByteStrings when handling protos that have been deserialized from bytes.

## Method Summary

Modifier and Type
Method
Description
`List<ByteString>`
`asByteStringList()`
Returns a view of the data as a list of ByteStrings.

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, equals, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`

## Method Details

### asByteStringList

List<ByteString> asByteStringList()
Returns a view of the data as a list of ByteStrings.